# Uses of Interface
org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

Packages that use ContainerItemProvider.Node
Package
Description
org.eclipse.net4j.util.ui.views
Helpers for Eclipse view parts.

## Uses of ContainerItemProvider.Node in org.eclipse.net4j.util.ui.views

Classes in org.eclipse.net4j.util.ui.views that implement ContainerItemProvider.Node
Modifier and Type
Class
Description
`class`
`ContainerItemProvider.AbstractContainerNode`
`class`
`ContainerItemProvider.AbstractNode`
`class`
`ContainerItemProvider.ContainerNode`
`class`
`ContainerItemProvider.FixedChildrenNode`
`class`
`ContainerItemProvider.LeafNode`
Fields in org.eclipse.net4j.util.ui.views with type parameters of type ContainerItemProvider.Node
Modifier and Type
Field
Description
`static final List<ContainerItemProvider.Node>`
ContainerItemProvider.Node.`NO_CHILDREN`
Methods in org.eclipse.net4j.util.ui.views that return ContainerItemProvider.Node
Modifier and Type
Method
Description
`protected ContainerItemProvider.Node`
ContainerItemProvider.AbstractNode.`addChild(Collection<ContainerItemProvider.Node> children, Object element)`
`protected ContainerItemProvider.Node`
ContainerItemProvider.`createNode(ContainerItemProvider.Node parent, Object element)`
`protected ContainerItemProvider.Node`
ContainerItemProvider.`getNode(Object element)`
`final ContainerItemProvider.Node`
ContainerItemProvider.AbstractNode.`getParent()`
`ContainerItemProvider.Node`
ContainerItemProvider.Node.`getParent()`
`protected ContainerItemProvider.Node`
ContainerItemProvider.`getRoot()`
`protected ContainerItemProvider.Node`
ContainerItemProvider.`removeNode(Object element)`
Methods in org.eclipse.net4j.util.ui.views that return types with arguments of type ContainerItemProvider.Node
Modifier and Type
Method
Description
`protected List<ContainerItemProvider.Node>`
ContainerItemProvider.AbstractContainerNode.`createChildren()`
`final List<ContainerItemProvider.Node>`
ContainerItemProvider.AbstractContainerNode.`getChildren()`
`List<ContainerItemProvider.Node>`
ContainerItemProvider.FixedChildrenNode.`getChildren()`
`List<ContainerItemProvider.Node>`
ContainerItemProvider.LeafNode.`getChildren()`
`List<ContainerItemProvider.Node>`
ContainerItemProvider.Node.`getChildren()`
`protected Map<Object,ContainerItemProvider.Node>`
ContainerItemProvider.`getNodes()`
Methods in org.eclipse.net4j.util.ui.views with parameters of type ContainerItemProvider.Node
Modifier and Type
Method
Description
`protected void`
ContainerItemProvider.`addNode(Object element, ContainerItemProvider.Node node)`
`protected ContainerItemProvider<CONTAINER>.ContainerNode`
ContainerItemProvider.`createContaineNode(ContainerItemProvider.Node parent, Object element)`
`protected ContainerItemProvider<CONTAINER>.LeafNode`
ContainerItemProvider.`createLeafNode(ContainerItemProvider.Node parent, Object element)`
`protected ContainerItemProvider.Node`
ContainerItemProvider.`createNode(ContainerItemProvider.Node parent, Object element)`
`protected TreePath`
ContainerPathItemProvider.`getParentPath(ContainerItemProvider.Node node)`
Deprecated.
`protected void`
ContainerItemProvider.`handleInactiveElement(Iterator<ContainerItemProvider.Node> it, ContainerItemProvider.Node child)`
Method parameters in org.eclipse.net4j.util.ui.views with type arguments of type ContainerItemProvider.Node
Modifier and Type
Method
Description
`protected ContainerItemProvider.Node`
ContainerItemProvider.AbstractNode.`addChild(Collection<ContainerItemProvider.Node> children, Object element)`
`protected void`
ContainerItemProvider.AbstractContainerNode.`fillChildren(List<ContainerItemProvider.Node> children, IContainer<Object> container)`
`protected void`
ContainerItemProvider.`handleInactiveElement(Iterator<ContainerItemProvider.Node> it, ContainerItemProvider.Node child)`
Constructors in org.eclipse.net4j.util.ui.views with parameters of type ContainerItemProvider.Node
Modifier
Constructor
Description
``
`AbstractContainerNode(ContainerItemProvider.Node parent)`
``
`AbstractNode(ContainerItemProvider.Node parent)`
``
`ContainerNode(ContainerItemProvider.Node parent, IContainer<Object> container)`
``
`FixedChildrenNode(ContainerItemProvider.Node parent, Object element, Iterable<?> childElements)`
``
`FixedChildrenNode(ContainerItemProvider.Node parent, Object element, Object[] childElements)`
``
`LeafNode(ContainerItemProvider.Node parent, Object element)`